<template>
    <div class="panel panel-default">
        <div class="panel-heading">

            <nav>
                <ul class="list-inline">
                    <li>
                        <router-link :to="{ name: 'home' }">Home</router-link>
                    </li>
                    <li v-if="$auth.check()" class="pull-right">
                        <router-link :to="{ name: 'domains' }">Domains</router-link>
                    </li>
                    <li v-if="!$auth.check()" class="pull-right">
                        <router-link :to="{ name: 'login' }">Login</router-link>
                    </li>
                    <li v-if="!$auth.check()" class="pull-right">
                        <router-link :to="{ name: 'register' }">Register</router-link>
                    </li>
                    <li v-if="$auth.check()" class="pull-right">
                        <a href="#" @click.prevent="$auth.logout()">Logouts</a>
                    </li>
                </ul>
            </nav>
       <div class="alert alert-success" v-if="$auth.check()">
           <p >welcome :<b>{{$auth.user().name}}</b> </p>
           <p >you are logged in as :<b>{{$auth.user().email}}</b> </p>
       </div>
        </div>
        <div class="panel-body">
            <router-view></router-view>
        </div>
    </div>
</template>
